{% extends "admin/base.html" %}

{% block breadcrumbs %}{% endblock %}

{% block extrahead %}
<script type="text/javascript" src="{{MEDIA_URL}}js/jquery/ui/ui.tabs.js"></script>

<link rel="stylesheet" href="{{MEDIA_URL}}admin/css/tabs.css" type="text/css"  />
<!-- Additional IE/Win specific style sheet (Conditional Comments) -->
<!--[if lte IE 7]>
<link rel="stylesheet" href="{{MEDIA_URL}}admin/css/tabs-ie.css" type="text/css"  />
<![endif]-->

<style type="text/css">
html, body { height: 100%; position: relative; }
body { margin: 0 !important; }
#content { margin: 0; padding-top: 3px; padding-left: 4px;  height: 100%; }
#header, #footer { display: none; }
.tab-pane {
    width: 800px;
    padding: 0;
}
iframe {
    width: 800px; 
    height: 550px;
    border: none !important;
    margin: 0;
}
</style>


<script type="text/javascript">
// <![CDATA[
var media_url = '{{MEDIA_URL}}';
var param_array = window.location.search.replace('?','').split('&');
var params = {};
$.each(param_array, function(i,p){var a = p.split('='); params[a[0]] = a[1] });

// Returns the selected file to the dialog opener
function return_selected_file( file ) {
    if(window.opener) {
        window.opener.file_manager_callback( window, file );
    }
}


function imageFrameLoad() {
    var frm = top.imageFrame;
    var doc = frm.document;

    $('#changelist-filter', doc).hide().parent().removeClass('filtered');

    $('#changelist table tbody a', doc).click(function(e) {
        var re = /(\d+)\//;
        var id = re.exec($(this).attr('href'))[1];
        var url;
        $.get('/media/video/' + id + '/embed/', function(data) {
            window.parent.return_selected_file(data);
        });
        return false;
    }).each(function() {
        // Clear out any previously set onlick events by django.
        this.onclick = null;
    });
};

$(function() {
    // Set up tabs
    $('#tabs').tabs();
    
    $('#imageFrame').load(imageFrameLoad);

});
// ]]>
</script>

       
{% endblock %}

{% block content %}

<div id="tabs">
<ul class="tabset">
    <li><a href="#videos">videos</a></li>
</ul>

<div id="videos" class="tab-pane">
    <iframe src="{% url admin:media_video_changelist %}?pop=1" name="imageFrame" id="imageFrame" ></iframe>    
</div>
</div>


{% endblock %}

